## plasma-workspace 5.7.5

=== debian/changelog ===
plasma-workspace (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * Add kubuntu_disable-shell-tests-requiring-plasma-session.diff to disable
    2 tests that won't work as autotests

  [ Rik Mills ]
  * Disable kubuntu_disable-shell-tests-requiring-plasma-session.diff as
    these tests have now moved to a separate repository
  * New upstream release (5.7.4)
  * Upstream changes require a depends on kactivitymanagerd
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:30:16 -0500

plasma-workspace (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.7.1)
  * Merge with Debian
  * Removing upstream patch install_missing_header
  * SO Bump libtaskmanager from 5 to 6
  * Add new liblegacytaskmanager5
  * Adding new files into install files
  * Add libkf5holidays-dev as build dep
  * New upstream release (5.7.2)

  [ Simon Quigley ]
  * Add qml-module-org-kde-kholidays to the plasma-workspace recommends

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:08:46 +0000

plasma-workspace (4:5.6.5.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new libkdeinit5_kuiserver5.so lintian-override
  * New upstream release (5.6.5.1).
  * Update install files
  * Bump kwin-dev build dependency version (Closes: 827823)

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 12:42:29 +0200

plasma-workspace (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.6.5)
  * Fixing path to plasma_applet_notifications.so in install file
  * Make plasma-workspace depend on plasma-integration (contains code from
    frameworkintegration)

  [ Rik Mills ]
  * Disable install_missing_header patch - applied upstream

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:11:35 +0100

plasma-workspace (4:5.6.4-2) unstable; urgency=medium

  * Force the use of the newer libkscreen
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 20:13:32 +0200

plasma-workspace (4:5.6.4-1) experimental; urgency=medium

  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * Drop libusb-dev build dependency. (Closes: #810453) Thanks to
    Aurelien Jarno
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Update install files
  * Install new files
  * Add replaces for kde-workspace-data
  * Uscan no longer supports more than one main upstream tarball being listed (Closes: #821187)
  * Drop dependency on kactivities
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 May 2016 12:18:34 +0200

plasma-workspace (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Removing upstream patch - plasma_applet_actions_crash.diff
  * Adding plasma-intregration as a build dep
  * Adding iso-codes as build dep
    - Updating debian/meta/cmake-ignore
  * Fixing install files
  * Adding override to plasma-workspace.lintian-overrides
    - postinst-must-call-ldconfig usr/lib/*/libkdeinit5_kuiserver5.so
  * Fixing the control file so it doesn't rely on kactivities, but relies
    on new packages instead

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:27:53 -0700

plasma-workspace (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.1.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:22 +0100

plasma-workspace (4:5.5.2-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial. 
  * Upstream version bumped by 1. 
  * Version number is coming up None. Trying a different approach 
    with appending a. 
  * Silly me, lost the ubuntu in the version. Final fix I hope.

  [ Clive Johnston ]
  * new upstream release
  * Removing a file from plasma-workspace.install which is no longer built
  * Adding missing file usr/share/wayland-sessions/plasmawayland.desktop
    into plasma-workspace-wayland.install

  [ Bhushan Shah ]
  * Add depend to libkf5sysguard-dev in plasma-workspace-dev

 -- Clive Johnston <clivejo@aol.com>  Tue, 29 Dec 2015 17:54:26 +0000

plasma-workspace (4:5.4.3-2) unstable; urgency=high

  Team upload.

  [ Dmitry Shachnev ]
  * Stop depending on qtdeclarative5-* transitional packages.

  [ Felix Geyer ]
  * Fix CVE-2016-2312: KDE lockscreen bypass by switching display off and on.
    (Closes: #814355)
    - Add debian/patches/CVE-2016-2312.diff, cherry-picked from upstream
      Plasma/5.4 branch.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 22 Feb 2016 20:16:55 +0100
