=== runners/CMakeLists.txt ===
add_subdirectory(activities)
add_subdirectory(baloo)
add_subdirectory(bookmarks)
add_subdirectory(calculator)
add_subdirectory(locations)
add_subdirectory(places)
add_subdirectory(services)
add_subdirectory(recentdocuments)
add_subdirectory(shell)
# add_subdirectory(solid)
add_subdirectory(webshortcuts)
add_subdirectory(windowedwidgets)
#
if(NOT WIN32)
 add_subdirectory(powerdevil)
 add_subdirectory(sessions)
 add_subdirectory(windows)
 add_subdirectory(kill)
endif()
#
