=== ksplash/none/CMakeLists.txt ===
install( FILES Theme.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/ksplash/Themes/None )
