=== debian/changelog ===
plasma-workspace (4:5.8.6-2.1+deb9u1) stretch-security; urgency=medium

  * CVE-2018-6791

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 14 Feb 2018 00:03:33 +0100

plasma-workspace (4:5.8.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix problem where processing stopped in ksplashqml on some environments.
    (Closes: #862558)
    Add patches/replace-fds.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 02 Jun 2017 22:17:22 +0900

plasma-workspace (4:5.8.6-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Mar 2017 19:45:10 +0100

plasma-workspace (4:5.8.6-1) experimental; urgency=medium

  * New upstream release (5.8.6) (Closes: 844707)
  * Add missing runtime dependency qml-module-org-kde-kholidays.
    Thanks to Ignacio R. Morelle and YOSHINO Yoshihito for the report
    (Closes: 836241)
  * Add missing provides for x-session-manager.
    Thanks to Wolfgang Schweer for reporting (Closes: 853885)
  * Recommend powerdevil.
    Thanks to Salvo Tomaselli for reporting (Closes: 793463)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Mar 2017 19:10:29 +0100

plasma-workspace (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).
  * Drop upstream applied patch: Fix-Unable-to-assign-undefined-to-int-
    log.patch
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:22 +0100

plasma-workspace (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)
  * Bump qt version build deps and deps to 5.7
  * Add new patch: Fix-Unable-to-assign-undefined-to-int-log.patch.
    Thanks to Helge Kreutzmann for reporting and testing this (Closes: 844194)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:38:24 +0100

plasma-workspace (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:27:27 +0200

plasma-workspace (4:5.8.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.1)
  * Drop old conffile legacytaskmanagerrulesrc.
    Thanks to shirish for the report (Closes: #840629)
  * Add symbols files

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:01:18 +0200

plasma-workspace (4:5.8.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Add missing build dependency on plasma-framework
  * Drop liblegacytaskmanager5
  * Update install files
  * Add missing qml dependencies
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:10:03 +0200

plasma-workspace (4:5.7.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Follow upstream libtaskmanager soversion bump
  * Install ion-dataengine template
  * Add kholidays build-dependency
  * Add missing dev dependency (thanks to the acc headers check)
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

  [ Harald Sitter ]
  * add new liblegacytaskmanager
  * install new data
  * install the lovely new holiday plugin

  [ Jonathan Riddell ]
  * add missing file
  * new .mo files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 17:27:03 +0200
