=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 	$(overridden_command) --dbgsym-migration='plasma-workspace-dbg (<= 4:5.5.5.1-1~~)'
 
 override_dh_fixperms:
-	chmod -x debian/plasma-workspace/etc/xdg/autostart/org.kde.klipper.desktop
+	chmod -x debian/plasma-workspace/etc/xdg/autostart/klipper.desktop
 	$(overridden_command)
 
 override_dh_install:
 	mkdir -p debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
 	cp debian/40-kde-plasma-kf5.conf debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
-	$(overridden_command)
+	dh_install
